www.cendio.com
Bug 4547 - Shift-F2 and similar keyboard combinations does not work
: Shift-F2 and similar keyboard combinations does not work
Status: CLOSED FIXED
: ThinLinc
VNC
: 3.2.0
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-02-26 13:46 by
Modified: 2013-05-27 14:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-02-26 13:46:29
Shift-F2 and similar keyboard combinations does not work. This is because the
keyboard map on the server looks like:

keycode  68 = F2 XF86_Switch_VT_2

Our keyboard map has been auto generated from a Fedora 16 machine. However,
xmodmap is notorious for producing incorrect output. For example, on my CentOS
6 machine, the output is:

keycode  68 = F2 XF86Switch_VT_2 F2 XF86Switch_VT_2

This is also incorrect; Shift-F2 does *not* generate XF86Switch_VT_2. On a
Fedora 18 machine, however, xmodmap produces a different output:

keycode  68 = F2 F2 F2 F2 F2 F2 XF86Switch_VT_2 F2 F2 XF86Switch_VT_2

This is "better", but we will still need to tweak our scripts to deal with this
non-traditional format. The other option would be to search for a modern Linux
distribution where xmodmap works correctly, in the traditional way.
------- Comment #1 From cendio 2013-02-26 15:05:37 -------
Should be fixed in r26694, using xmodmap output from Ubuntu 12.04 instead of
Fedora 16. Need to test with next nightly build.
------- Comment #2 From cendio 2013-02-27 12:46:29 -------
Build 3849 seems to work fine. Hotfix published at:

http://www.cendio.com/downloads/updates/b4547/
------- Comment #3 From cendio 2013-05-27 14:38:25 -------
Build 3963 uses XKB, works. Tested with xev, also checked xmodmap -pke.